Package org.eclipse.lemminx.services

## Interface IXMLMinifier

All Known Implementing Classes:
  `XMLLanguageService`

    public interface IXMLMinifier

XML minifier API.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `minify​(String text, String uri, SharedSettings sharedSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Minify the given text document.

### Method Detail

#### minify

    String minify​(String text,
                  String uri,
                  SharedSettings sharedSettings,
                  org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Minify the given text document.

Parameters:
  `text` - the text.
  `uri` - the uri.
  `sharedSettings` - the shared settings.
  `cancelChecker` - the cancel checker.
Returns:
  the minified text document.